{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>image</title>
    <style>
        body {
            font-family: monospace;
        }

        #viewport {
            position: absolute;
            top: 0;
            left: 1em;
            bottom: 0;
            overflow-y: auto;
            width: 72em;
        }

        .text-title {
            margin-left: 138px;
        }

        #tools {
            position: absolute;
            left: 74em;
            right: 0;
            top: 0;
            /* max-width: 32em; */
            bottom: 0;
            overflow-y: auto;
        }

        #tooltip-box {
            width: 0;
            height: 0;
            background-color: rgba(253, 253, 199, 0.253);
        }

        #tooltip-box.active {
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
        }

        .tooltip-inner {
            background-color: white;
            border: 1px solid lightcoral;
            padding: 1em;
        }

        .paragraph {
            margin: 1em 0;
            line-height: 170%;
            display: flex;
            flex-direction: row;
            align-items: baseline;
        }

        .paragraph .note {
            text-align: right;
            width: 138px;
            padding-right: 0.8em;
            flex-shrink: 0;
            font-size: 8pt;
            font-family: sans-serif;
            line-height: 120%;
        }

        .note-annotation {
            border-right: 1px solid lightgray;
            padding-right: 0.5em;
        }

        .paragraph .text {
            margin-right: 2em;
        }

        .rel {
            margin: 1em;
        }

        .depth-0 {
            padding-left: 0;
        }

        .depth-1 {
            padding-left: 2em;
        }

        .depth-2 {
            padding-left: 4em;
        }

        .cat-name,
        .term-name {
            font-weight: bold;
        }

        .annotated {
            background-color: #0084ff0a;
        }

        .highlight {
            background-color: #ff3c0038;
        }

        .note-annotation {
            cursor: pointer;
        }

        .n-1 {
            border-bottom: 1px solid grey;
        }

        .n-2 {
            border-bottom: 2px solid grey;
        }

        .n-3 {
            border-bottom: 3px solid grey;
        }

        .n-4 {
            border-bottom: 4px solid grey;
        }

        .cat-wrapper {
            display: inline-block;
        }

        .cat-select,
        .term-select {
            /* background-color: white;
                border-style: solid;
                border-radius: 2px;
                border-width: 1px;
                padding: 6px; */
            margin: 6px;
        }

        button:hover {
            background-color: blanchedalmond;
            /* border-color: black; */
        }

        button:disabled:hover {
            background-color: inherit;
            /* border-color: black; */
        }

        h3.cat-name,
        h3.term-name {
            font-size: 11pt;
            margin-bottom: 0;
        }

        a.cat-link,
        a.term-link {
            color: #4e4e4e;
        }

        .cat-select-short,
        .term-select-short {
            font-size: 6pt;
            margin-left: 2em;
            padding: 2px;
        }

        .image-wrapper {
            position: relative;
        }

        .image-wrapper img {
            position: absolute;
            top: 0;
            left: 0;
        }

        .image-wrapper svg {
            position: absolute;
            top: 0;
            left: 0;
        }

        .annot {
            width: 132px;
            display: flex;
            flex-direction: column;
            margin-right: 1em;
        }

        .annot-item {
            width: 120px;
            margin: 12px;
        }

        .extract {
            width: 100%;
        }

        #content-box {
            display: flex;
        }
    </style>
</head>

<body>
    <div id="viewport">
        <div id="title">
            <h1>{{title}}</h1>
        </div>
        <div id="content-box">
            <div id="annot"></div>
            <div id="image"></div>
        </div>
    </div>
    <div id="tools">
        <h2>Codex</h2>
        <div id="codex"></div>
    </div>
    <div id="tooltip-box"></div>
</body>
<script type="module">
    import { main } from "{% static 'codex_app/js/codex-image/index.js' %}";
    const image = [{{ image| safe }} ];
    const categories = {{ categories| safe }};
    const annotations = {{ annotations| safe }};
    const terms = {{ terms| safe }};
    main({
        "app/mode": 'image',
        image,
        categories,
        terms,
        "annotations/image": annotations,
        'app/csrf': "{{ csrf_token }}",
    });
</script>

</html>